part of 'comment_bloc.dart';

@immutable
abstract class CommentState extends Equatable {

  const CommentState();
  @override
  List<Object?> get props => [];
}

class CommentInitial extends CommentState {
  const CommentInitial();
  @override
  List<Object?> get props => [];
}

class CommentLoading extends CommentState {
  const CommentLoading();
}

class CommentFailed extends CommentState {
  final String? message;
  const CommentFailed(this.message);
}

class CommentSuccess extends CommentState {
  final CommentModel commentModel;
  const CommentSuccess(this.commentModel);
  @override
  List<Object?> get props => [commentModel];
}

class CommentResetState extends CommentState {
  const CommentResetState();
}


